tbb::internal::intrusive_list_base< List, T >::iterator Class Reference

`#include <intrusive_list.h>`

Inheritance diagram for tbb::internal::intrusive_list_base< List, T >::iterator:
Collaboration diagram for tbb::internal::intrusive_list_base< List, T >::iterator:

## Public Member Functions

| iterator (intrusive_list_node *pos)
| iterator ()
T * | operator-> () const
T & | operator* () const
Public Member Functions inherited from tbb::internal::intrusive_list_base< List, T >::iterator_impl< iterator >
| iterator_impl ()
iterator & | operator= (const iterator &it)
iterator & | operator= (const T &val)
bool | operator== (const iterator &it) const
bool | operator!= (const iterator &it) const
iterator & | operator++ ()
iterator | operator++ (int)
iterator & | operator-- ()
iterator | operator-- (int)

## Friends

template<class U , class V >
class | intrusive_list_base

## Additional Inherited Members

Protected Member Functions inherited from tbb::internal::intrusive_list_base< List, T >::iterator_impl< iterator >
| iterator_impl (intrusive_list_node *pos)
T & | item () const

## Detailed Description

### template<class List, class T>
class tbb::internal::intrusive_list_base< List, T >::iterator

Definition at line 122 of file intrusive_list.h.

## Constructor & Destructor Documentation

## iterator() [1/2]

template<class List, class T>

tbb::internal::intrusive_list_base< List, T >::iterator::iterator | ( | intrusive_list_node * | pos | ) |

inline

Definition at line 125 of file intrusive_list.h.

: iterator_impl<iterator>(pos )
{}

## iterator() [2/2]

template<class List, class T>

tbb::internal::intrusive_list_base< List, T >::iterator::iterator | ( |  | ) |

inline

Definition at line 128 of file intrusive_list.h.

{}

## Member Function Documentation

## operator*()

template<class List, class T>

T& tbb::internal::intrusive_list_base< List, T >::iterator::operator* | ( |  | ) | const

inline

Definition at line 132 of file intrusive_list.h.

{ return this->item(); }

References tbb::internal::intrusive_list_base< List, T >::iterator_impl< iterator >::item().

Here is the call graph for this function:

## operator->()

template<class List, class T>

T* tbb::internal::intrusive_list_base< List, T >::iterator::operator-> | ( |  | ) | const

inline

Definition at line 130 of file intrusive_list.h.

{ return &this->item(); }

References tbb::internal::intrusive_list_base< List, T >::iterator_impl< iterator >::item().

Here is the call graph for this function:

## Friends And Related Function Documentation

## intrusive_list_base

template<class List, class T>
template<class U , class V >

friend class intrusive_list_base

friend

Definition at line 123 of file intrusive_list.h.

The documentation for this class was generated from the following file:

- intrusive_list.h

tbb::internal::intrusive_list_base::iterator_impl< iterator >::item
T & item() const
Definition: intrusive_list.h:64

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.